List runs - Momentic
Documentation Index
Fetch the complete documentation index at: /docs/llms.txt
Use this file to discover all available pages before exploring further.
GET
/ v1 /runs
Try it
List runs
cURL
curl --request GET \
--url 'https://api.momentic.ai/v1/runs?pageSize=20' \
--header 'Authorization: Bearer <token>'
Python
import requests
url = "https://api.momentic.ai/v1/runs?pageSize=20"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch API)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.momentic.ai/v1/runs?pageSize=20', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
<?php
$curl = curl_init();
curl_setopt_array($curl, [\
CURLOPT_URL => "https://api.momentic.ai/v1/runs?pageSize=20",\
CURLOPT_RETURNTRANSFER => true,\
CURLOPT_ENCODING => "",\
CURLOPT_MAXREDIRS => 10,\
CURLOPT_TIMEOUT => 30,\
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
CURLOPT_CUSTOMREQUEST => "GET",\
CURLOPT_HTTPHEADER => [\
"Authorization: Bearer <token>"\
],\
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
?>
Go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.momentic.ai/v1/runs?pageSize=20"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Unirest
HttpResponse<String> response = Unirest.get("https://api.momentic.ai/v1/runs?pageSize=20")
.header("Authorization", "Bearer <token>")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://api.momentic.ai/v1/runs?pageSize=20")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body
Example Response
{
"data": [\
{\
"id": "run_01J9D90XPXMA4T0TSN76VFQ2K8",\
"status": "PASSED",\
"trigger": "WEBHOOK",\
"executionType": "WEB",\
"testId": "checkout-flow",\
"testName": "Checkout flow",\
"description": "Covers the purchase path",\
"directory": "e2e/checkout",\
"environmentName": "production",\
"labels": [\
"smoke",\
"checkout"\
],\
"gitBranchName": "main",\
"gitCommitSha": "8d8b7f5c0c2d5d2a0c8c4d6b9a1a2b3c4d5e6f70",\
"gitCommitShaShort": "8d8b7f5",\
"githubRepository": "momentic-ai/storefront",\
"gitlabProjectPath": null,\
"cliVersion": "1.24.0",\
"pipelineId": "build_1827",\
"createdAt": "2026-07-01T12:00:00.000Z",\
"startedAt": "2026-07-01T12:00:10.000Z",\
"finishedAt": "2026-07-01T12:02:14.000Z",\
"flake": false,\
"attempts": 0,\
"quarantined": false,\
"quarantinedReason": null,\
"failureReason": null\
}\
],\
"pagination": {\
"pageSize": 20,\
"hasMore": false,\
"nextCursor": null,\
"total": null\
}\
}
Authorizations
- Authorization: Bearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Query Parameters
pageSize: integer, default:20, Page size, up to 100.cursor: string, Opaque keyset cursor from a previous response's pagination.nextCursor. Omit for the first page.includeTotal: boolean, Include the exact total match count in the response. Off by default to avoid an extra aggregation. Accepts true, false, 1, or 0.startDate: string, Start of the window. Defaults to 30 days before endDate. Must be before endDate. The window may not exceed 92 days. endDate: string, End of the window. Defaults to now. status: enum[] Available options: PASSED,FAILED,CANCELLEDtrigger: enum[] Run trigger values. Available options: WEBHOOK,CRON,MANUAL,CLIgitBranchName: string[] Git branch name filter.- ... (more parameters can be added here)
Response
200
application/json Success.